JE::Object::String(3pm)

NAME
JE::Object::String - JavaScript String object class

SYNOPSIS
  use JE;
  use JE::Object::String;

  $j = new JE;

  $js_str_obj = new JE::Object::String $j, "etetfyoyfoht";

  $perl_str = $js_str_obj->value;

DESCRIPTION
This class implements JavaScript String objects for JE. The difference between this and JE::String is that that module implements primitive string value, while this module implements the objects.

METHODS
See JE::Types for descriptions of most of the methods. Only what is specific to JE::Object::String is explained here.

value
    Returns a Perl scalar.

value16
    Returns a Perl scalar containing a UTF-16 string (i.e., with surrogate pairs if the string has chars outside the BMP). This is here more for internal usage than anything else.

SEE ALSO

JE
JE::Types
JE::String
JE::Object